Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nu.xom.xinclude
Class BadHrefAttributeException

    Object
      Throwable
          Exception
              nu.xom.xinclude.XIncludeException
                  nu.xom.xinclude.BadHrefAttributeException

All Implemented Interfaces:
  Serializable

    public class BadHrefAttributeException

extends XIncludeException

Indicates that an `href` attribute contains an illegal value, such as a URI with a fragment identifier, or a syntactically incorrect IRI.

Version:
  1.1b3
Author:
  Elliotte Rusty Harold
See Also:
  Serialized Form

Constructor Summary
`BadHrefAttributeException(String message)` Constructs a `BadHrefAttributeException` with the specified detail message.
`BadHrefAttributeException(String message, String uri)` Creates a new `BadHrefAttributeException` with a detail message and the URI of the document that caused the exception.

Method Summary

Methods inherited from class nu.xom.xinclude.XIncludeException
`getCause, getURI, initCause`

Methods inherited from class Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BadHrefAttributeException

    public BadHrefAttributeException(String message)

  Constructs a `BadHrefAttributeException` with the specified detail message.

  Parameters:
    `message` - a string indicating the specific problem

### BadHrefAttributeException

    public BadHrefAttributeException(String message,
                                     String uri)

  Creates a new `BadHrefAttributeException` with a detail message and the URI of the document that caused the exception.

  Parameters:
    `message` - a string indicating the specific problem
    `uri` - the URI of the document that caused this exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2006 Elliotte Rusty Harold
elharo@metalab.unc.edu